#include <Stepper.h>

Stepper myStepper(2048,4,5,7,8);

int num;
int stup;

void setup() {
  // put your setup code here, to run once:
  pinMode(2, INPUT); // объявляем пин 2 как вход
  pinMode(3, INPUT); // объявляем пин 2 как вход
  myStepper.setSpeed(10);
}

void loop() {
  // put your main code here, to run repeatedly:
  if (digitalRead(2) == HIGH) // когда на пин 2 поступает высокий сигнал
  {
    stup=0;
    myStepper.step(0);
  }
  if (digitalRead(3) == HIGH)
  {
    stup=1; 
  }
  delay(1000);
  if (stup == 1)
  {
    num=num+2048;
    myStepper.step(num);
  }
}
